- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
csl_usbAux.h File Reference

USB MUSB functional layer Auxiliary header file. More...

`#include <csl_intc.h>`
`#include <csl_usb.h>`

Go to the source code of this file.

## Functions
static CSL_Status | USB_swapWords (Uint16 *dataBuffer, Uint32 dataLength)
static void | USB_initDma (void)
static CSL_Status | USB_initQueueManager (CSL_UsbHostPktDescr *hpdtx, Uint32 *pLinkingRam)
static void | USB_dmaPopQue (Uint16 queueNum)
static void | USB_dmaRxStart (DWORD dwEndpoint)
static CSL_Status | USB_confDmaRx (CSL_UsbHostPktDescr *hpdrx, Uint32 packetsize, Uint16 *pRxBuffer)
static CSL_Status | USB_confDmaTx (CSL_UsbHostPktDescr *hpdtx, Uint32 packetsize, Uint16 *pTxBuffer, Bool swapWords)
static void | USB_dmaRxStop (DWORD dwEndpoint, Uint16 *pRxBuffer, Uint32 packetsize, Bool swapWords)
static void | USB_dmaTxStart (DWORD dwEndpoint)
static void | USB_dmaTxStop (DWORD dwEndpoint)
static CSL_Status | USB_handleTx (pUsbContext pContext, DWORD dwEndpoint)
static CSL_Status | USB_handleRx (pUsbContext pContext, DWORD dwEndpoint)
static CSL_Status | USB_processEP0Out (pUsbContext pContext)
static CSL_Status | USB_processEP0In (pUsbContext pContext)
static void | USB_handleRxIntr (pUsbContext pContext)
static void | USB_handleTxIntr (pUsbContext pContext)
static Bool | USB_checkSpeed (pUsbContext pContext, CSL_UsbBusSpeed *pBusSpeed)
static void | USB_readEP0Buf (pUsbContext pContext, DWORD *pBuf)
static void | USB_setConfiguration (CSL_UsbDevNum devNum, Uint16 confVal)
static Bool | USB_isValidDataInFifoOut (pUsbEpStatus peps)
static void | USB_flushFifo (DWORD dwEndpoint, Bool fifoDirFlag)
static void | USB_serviceEp0RxPkt (Uint16 periCsr0Val)
static void | USB_sendEpZLP (DWORD dwEndpoint)
static void | USB_clearEpRxPktRdy (DWORD dwEndpoint)
## Variables
CSL_UsbRegsOvly | usbRegisters
CSL_SysRegsOvly | sysCtrlRegs

## Detailed Description

USB MUSB functional layer Auxiliary header file.

Path: \(CSLPATH)\ inc

## Function Documentation

static void USB_serviceEp0RxPkt | ( | Uint16 | periCsr0Val | ) | `[inline, static]`

## Variable Documentation

CSL_SysRegsOvly sysCtrlRegs

CPU System control register overlay structure pointer

Referenced by USB_init(), and USB_initPLL().